@charset "UTF-8";

@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

:root {
    --primary-color: #67D7A2;
    --secondary-color: #212529;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

h1 {
    font-size: 36px;
}

h2 {
    font-size: 24px;
}

button {
    font-size: 16px;
}

body {
    background-color: #f4f4f4;
    height: 100vh;
    font-family: "Poppins";
}

header {
    background-color: var(--primary-color);
    height: 80px;
    box-shadow: 0px 2px 10px #21252998;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    padding: 0px 15px;
}

.search-container {
    display: flex;
    width: 100%;
    padding-left: 10px;
    position: relative;
}

.search-container button {
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;

    background-color: transparent;
    border: none;

    margin-right: 5px;

    display: flex;
    justify-content: center;
    align-items: center;
}

input {
    font-family: "Poppins";
    font-size: 16px;
    width: 100%;
    padding: 10px;
    color: var(--secondary-color);
    background-color: transparent;
    border: none;
    outline: 2px solid var(--secondary-color);
    border-radius: 10px;
}

input::placeholder {
    color: var(--secondary-color);
}

.filtros-container {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;

    padding: 15px 15px;
}

.filtros-container button {
    background-color: transparent;

    font-family: "Poppins";
    font-weight: bold;

    border: none;
    border: 2px solid var(--secondary-color);
    border-radius: 10px;

    padding: 5px 10px;
}

.filtros-container button:hover {
    background-color: var(--primary-color);
    cursor: pointer;
}

.filtros-container button.is-active {
    background-color: var(--primary-color);
}

#top-button {
    position: fixed;
    bottom: 0;
    right: 0;

    padding: 15px;
    opacity: 0;

    transition: opacity 0.3s ease-in-out;
}

#top-button a button {
    background-color: var(--primary-color);

    padding: 15px;

    border: none;
    border-radius: 50%;
}

#top-button a button:hover {
    cursor: pointer;
}

main {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    padding: 10px 15px;
}

#loading {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: none;
}

#loading img {
    width: 50px;
    height: 50px;
    animation: rotate 1s linear infinite;
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.bairro-container {
    box-shadow: 4px 4px 8px #21252998;
    width: 250px;
    height: 250px;
    padding: 20px;
    border-radius: 20px;
}

.bairro-titulo {
    display: flex;
    justify-content: space-between;
}

.bairro-titulo button {
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.bairro-container-otimo {
    background-color: #67d7a385;
}

.bairro-container-razoavel {
    background-color: #0080ff7d;
}

.bairro-container-ruim {
    background-color: #f6ff0082;
}

.bairro-container-terrivel {
    background-color: #ff01057d;
}

@media (max-width: 1280px) {
    .bairro-container {
        width: 234px;
        height: 250px;
    }
}

@media (max-width: 1024px) {
    .bairro-container {
        width: 243px;
        height: 260px;
    }
}

@media (max-width: 768px) {
    .bairro-container {
        width: 230px;
        height: 260px;
    }
}

@media (max-width: 440px) {
    .bairro-container {
        width: 100%;
        height: 180px;
    }
}